Bug 37495 - Constant clicking in sound playback on Sony PCG-F480
Constant clicking in sound playback on Sony PCG-F480
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2001-04-24 22:22 EDT by Greg Corson
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-24 22:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Greg Corson 2001-04-24 22:22:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

When playing sound with KDE through either XMMS or the KDE multimedia 
player (or even the KDE startup sound) a constant clicking is heard.  
Setting XMMS to OSS output plugin fixes this, but only for XMMS, doesn't 
seem to be any way to fix it for the other KDE sound players. 

Reproducible: Always
Steps to Reproduce:
1.After a standard Red Hat install on Sony PCG-F480 (neomagic 256 chip) 
try playing sounds or listen to the startup sound.
2. Try changing XMMS sound output plugin to oss

Actual Results:  Normal playback contains a constant clicking sound.  
Switching to OSS fixes this for XMMS but not for the rest of KDE.  
Changing the buffering in the sound-server setup tool of KDE doesn't 
improve the problem.

Expected Results:  The sound playback should be without clicks.

This was observed after a standard "everything" install, no errors were 
reported during boot or install.
Comment 1 Bill Nottingham 2001-04-24 22:41:33 EDT
If everything in KDE sounds this way, but switching to OSS for xmms works,
it sounds like an arts problem.

This is using the ymfpci driver, yes?g
Comment 2 Bernhard Rosenkraenzer 2001-04-25 05:29:04 EDT
Check the settings in KControl > Sound > Sound Server > Sound IO

For many Yamaha soundcards, you need to set the sampling rate to 48000, you 
may also want to increase the audio buffer size.

Comment 3 Greg Corson 2001-04-26 12:55:29 EDT
During my initial tests I bumped up the buffer size and tried raising the 
sampling rate to 48k using the KDE sound control panel.  This didn't change the 

As far as which sound driver (ymfpci) how do I tell which one is being used?
Comment 4 Greg Corson 2001-04-27 19:51:47 EDT
lsmod reports the following (so it looks like ymfpci is being used)

Module                  Size  Used by
keybdev                 2080   0  (unused)
usbkbd                  3040   0  (unused)
ymfpci                 42368   0  (autoclean)
uart401                 6768   0  (autoclean) [ymfpci]
sound                  62688   0  (autoclean) [uart401]
ac97_codec              8800   0  (autoclean) [ymfpci]
soundcore               4464   4  (autoclean) [ymfpci sound]
autofs                 11264   2  (autoclean)
nfs                    79008   1  (autoclean)
lockd                  52464   1  (autoclean) [nfs]
sunrpc                 61328   1  (autoclean) [nfs lockd]
3c574_cs                9552   1
ds                      7280   2  [3c574_cs]
yenta_socket           11440   2
pcmcia_core            43072   0  [3c574_cs ds yenta_socket]
ipchains               38976   0  (unused)
nls_iso8859-1           2880   1  (autoclean)
nls_cp437               4384   1  (autoclean)
vfat                    9392   1  (autoclean)
fat                    32672   0  (autoclean) [vfat]
mousedev                4160   1
hid                    11776   0  (unused)
input                   3488   0  [keybdev usbkbd mousedev hid]
usb-uhci               20720   0  (unused)
usbcore                49664   1  [usbkbd hid usb-uhci]
[root@Gcorson-Win2k /root]#

Note You need to log in before you can comment on or make changes to this bug.